Page MenuHomePhabricator

Decommission es1001-es1010
Closed, ResolvedPublic

Description

Decom:

es1001.eqiad.wmnet
es1002.eqiad.wmnet
es1003.eqiad.wmnet
es1004.eqiad.wmnet
es1005.eqiad.wmnet
es1006.eqiad.wmnet
es1007.eqiad.wmnet
es1008.eqiad.wmnet
es1009.eqiad.wmnet
es1010.eqiad.wmnet

Maybe some disks could be reused, specially for db1050?

Jaime, specially reminder for you: do not touch es1011 and above, those are the new, in production servers!

Event Timeline

jcrespo created this task.Sep 18 2015, 6:42 PM
jcrespo claimed this task.
jcrespo raised the priority of this task from to Medium.
jcrespo updated the task description. (Show Details)
jcrespo added a project: acl*sre-team.
jcrespo added a subscriber: jcrespo.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 18 2015, 6:42 PM
jcrespo added a project: ops-eqiad.EditedSep 24 2015, 10:29 AM
jcrespo added a subscriber: Cmjohnson.

@Cmjohnson adding you to the ticket so that we can coordinate.

The current state of es1001-es1010 is:

  • service: depooled. MySQL has been stopped for over a week with no issues.
  • Servers are still powered on, in case you want to do some checks before shutting them down
  • Removed from icinga
  • Puppet and salt cert has been revoked (still there, as the server is up)
  • Puppet agent disabled
  • references to it on the ops and mediawiki repos have been removed
  • DNS deletion is pending: https://gerrit.wikimedia.org/r/#/c/240668/
Cmjohnson closed this task as Resolved.Sep 24 2015, 5:11 PM

@jcrespo, I was going to remove dns entries and wipe but I see you -1 you're own dns commit. Let me know when it's safe to wipe.

Cmjohnson reopened this task as Open.Sep 24 2015, 5:14 PM
jcrespo added a comment.EditedSep 25 2015, 10:11 AM

Let me abandon it and you can do it on your own pace. Close it and wipe at any time. Ok with updating racktables yourself?

jcrespo reassigned this task from jcrespo to Cmjohnson.Sep 25 2015, 10:17 AM
jcrespo set Security to None.
Cmjohnson closed this task as Resolved.Oct 25 2015, 6:40 PM

Completed